View Issue Details

IDProjectCategoryView StatusLast Update
0001549CentOS-4yumpublic2006-10-22 14:41
Reporterako Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version4.4 - x86_64 
Summary0001549: yum upgrades, instead of simply installing kernel-smp-devel
DescriptionIt seems like yum is configured to install, not upgrade, kernel-devel packages but someone forgot to add kernel-smp-devel to that cathegory.
TagsNo tags attached.

Activities

user430

2006-10-21 12:20

  ~0004083

True. kernel-smp-devel is not listed in "installonlpkgs" in config.py, though the Changelog in /usr/share/doc/yum-2.4.3/ claims otherwise. kernel-hugemem and kernel-hugemem-devel are also missing from there.

I thought we already fixed that? I can quite clearly remember sending a patch for that to Karanbir.

For the time being:

Add kernel-smp-devel to the ['installonlypkgs ...] section on lines 223 and following in /usr/lib/python2.3/site-packages/yum/config.py.

user430

2006-10-21 12:23

  ~0004084

This should be fixed in config.py and I think it calls for an updated yum package in CentOS.

JohnnyHughes

JohnnyHughes

2006-10-22 14:41

administrator   ~0004087

Last edited: 2006-10-22 14:42

OK ... we have researched this issue:

See this link for details:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=155988

So, in Fedora (and in the upcoming RHEL-5) this is fixed by making the kernel-smp-devel, kernel-hugemem-devel, kernel-largesmp-devel all provide kernel-devel and some code to yum.

However, in RHEL-4 (and thus CentOS-4) this problem still exists as they did not modify the kernel-2.6.spec to have the kernel-*-devel.spec files provide kernel-devel. (Since they do not distibute yum in RHEL-4)

There are 2 ways to fix this problem:

1. Modify the kernel spec files.
2. Modify yum to treat everything the same.

The yum mods are the way I think this needs to be done, as yum is an add-on package to CentOS-4 and I think we should leave the kernel spec as close to upstream as possible.

I'll throw this out for debate on the CentOS-Devel list.

Issue History

Date Modified Username Field Change
2006-10-18 23:42 ako New Issue
2006-10-18 23:42 ako Status new => assigned
2006-10-21 12:20 user430 Note Added: 0004083
2006-10-21 12:23 user430 Note Added: 0004084
2006-10-21 12:23 user430 Status assigned => acknowledged
2006-10-22 14:41 JohnnyHughes Note Added: 0004087
2006-10-22 14:42 JohnnyHughes Note Edited: 0004087